Merging upstream version 0.1.8.
[debian/lxtask.git] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = { \
19 if test -z '$(MAKELEVEL)'; then \
20 false; \
21 elif test -n '$(MAKE_HOST)'; then \
22 true; \
23 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24 true; \
25 else \
26 false; \
27 fi; \
28 }
29 am__make_running_with_option = \
30 case $${target_option-} in \
31 ?) ;; \
32 *) echo "am__make_running_with_option: internal error: invalid" \
33 "target option '$${target_option-}' specified" >&2; \
34 exit 1;; \
35 esac; \
36 has_opt=no; \
37 sane_makeflags=$$MAKEFLAGS; \
38 if $(am__is_gnu_make); then \
39 sane_makeflags=$$MFLAGS; \
40 else \
41 case $$MAKEFLAGS in \
42 *\\[\ \ ]*) \
43 bs=\\; \
44 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
46 esac; \
47 fi; \
48 skip_next=no; \
49 strip_trailopt () \
50 { \
51 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52 }; \
53 for flg in $$sane_makeflags; do \
54 test $$skip_next = yes && { skip_next=no; continue; }; \
55 case $$flg in \
56 *=*|--*) continue;; \
57 -*I) strip_trailopt 'I'; skip_next=yes;; \
58 -*I?*) strip_trailopt 'I';; \
59 -*O) strip_trailopt 'O'; skip_next=yes;; \
60 -*O?*) strip_trailopt 'O';; \
61 -*l) strip_trailopt 'l'; skip_next=yes;; \
62 -*l?*) strip_trailopt 'l';; \
63 -[dEDm]) skip_next=yes;; \
64 -[JT]) skip_next=yes;; \
65 esac; \
66 case $$flg in \
67 *$$target_option*) has_opt=yes; break;; \
68 esac; \
69 done; \
70 test $$has_opt = yes
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/@PACKAGE@
74 pkgincludedir = $(includedir)/@PACKAGE@
75 pkglibdir = $(libdir)/@PACKAGE@
76 pkglibexecdir = $(libexecdir)/@PACKAGE@
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
83 NORMAL_INSTALL = :
84 PRE_INSTALL = :
85 POST_INSTALL = :
86 NORMAL_UNINSTALL = :
87 PRE_UNINSTALL = :
88 POST_UNINSTALL = :
89 subdir = .
90 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91 am__aclocal_m4_deps = $(top_srcdir)/intltool.m4 \
92 $(top_srcdir)/configure.ac
93 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94 $(ACLOCAL_M4)
95 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
96 $(am__configure_deps) $(am__DIST_COMMON)
97 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
98 configure.lineno config.status.lineno
99 mkinstalldirs = $(install_sh) -d
100 CONFIG_HEADER = config.h
101 CONFIG_CLEAN_FILES = data/lxtask.1
102 CONFIG_CLEAN_VPATH_FILES =
103 AM_V_P = $(am__v_P_@AM_V@)
104 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105 am__v_P_0 = false
106 am__v_P_1 = :
107 AM_V_GEN = $(am__v_GEN_@AM_V@)
108 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109 am__v_GEN_0 = @echo " GEN " $@;
110 am__v_GEN_1 =
111 AM_V_at = $(am__v_at_@AM_V@)
112 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113 am__v_at_0 = @
114 am__v_at_1 =
115 SOURCES =
116 DIST_SOURCES =
117 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
118 ctags-recursive dvi-recursive html-recursive info-recursive \
119 install-data-recursive install-dvi-recursive \
120 install-exec-recursive install-html-recursive \
121 install-info-recursive install-pdf-recursive \
122 install-ps-recursive install-recursive installcheck-recursive \
123 installdirs-recursive pdf-recursive ps-recursive \
124 tags-recursive uninstall-recursive
125 am__can_run_installinfo = \
126 case $$AM_UPDATE_INFO_DIR in \
127 n|no|NO) false;; \
128 *) (install-info --version) >/dev/null 2>&1;; \
129 esac
130 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
131 am__vpath_adj = case $$p in \
132 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
133 *) f=$$p;; \
134 esac;
135 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
136 am__install_max = 40
137 am__nobase_strip_setup = \
138 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
139 am__nobase_strip = \
140 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
141 am__nobase_list = $(am__nobase_strip_setup); \
142 for p in $$list; do echo "$$p $$p"; done | \
143 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
144 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
145 if (++n[$$2] == $(am__install_max)) \
146 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
147 END { for (dir in files) print dir, files[dir] }'
148 am__base_list = \
149 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
150 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
151 am__uninstall_files_from_dir = { \
152 test -z "$$files" \
153 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
154 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
155 $(am__cd) "$$dir" && rm -f $$files; }; \
156 }
157 man1dir = $(mandir)/man1
158 am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)"
159 NROFF = nroff
160 MANS = $(man_MANS)
161 DATA = $(desktop_DATA)
162 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
163 distclean-recursive maintainer-clean-recursive
164 am__recursive_targets = \
165 $(RECURSIVE_TARGETS) \
166 $(RECURSIVE_CLEAN_TARGETS) \
167 $(am__extra_recursive_targets)
168 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
169 cscope distdir dist dist-all distcheck
170 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
171 $(LISP)config.h.in
172 # Read a list of newline-separated strings from the standard input,
173 # and print each of them once, without duplicates. Input order is
174 # *not* preserved.
175 am__uniquify_input = $(AWK) '\
176 BEGIN { nonempty = 0; } \
177 { items[$$0] = 1; nonempty = 1; } \
178 END { if (nonempty) { for (i in items) print i; }; } \
179 '
180 # Make sure the list of sources is unique. This is necessary because,
181 # e.g., the same source file might be shared among _SOURCES variables
182 # for different programs/libraries.
183 am__define_uniq_tagged_files = \
184 list='$(am__tagged_files)'; \
185 unique=`for i in $$list; do \
186 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
187 done | $(am__uniquify_input)`
188 ETAGS = etags
189 CTAGS = ctags
190 CSCOPE = cscope
191 DIST_SUBDIRS = $(SUBDIRS)
192 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
193 $(top_srcdir)/data/lxtask.1.in AUTHORS COPYING ChangeLog \
194 INSTALL NEWS README TODO compile depcomp install-sh missing
195 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
196 distdir = $(PACKAGE)-$(VERSION)
197 top_distdir = $(distdir)
198 am__remove_distdir = \
199 if test -d "$(distdir)"; then \
200 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
201 && rm -rf "$(distdir)" \
202 || { sleep 5 && rm -rf "$(distdir)"; }; \
203 else :; fi
204 am__post_remove_distdir = $(am__remove_distdir)
205 am__relativize = \
206 dir0=`pwd`; \
207 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
208 sed_rest='s,^[^/]*/*,,'; \
209 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
210 sed_butlast='s,/*[^/]*$$,,'; \
211 while test -n "$$dir1"; do \
212 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
213 if test "$$first" != "."; then \
214 if test "$$first" = ".."; then \
215 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
216 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
217 else \
218 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
219 if test "$$first2" = "$$first"; then \
220 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
221 else \
222 dir2="../$$dir2"; \
223 fi; \
224 dir0="$$dir0"/"$$first"; \
225 fi; \
226 fi; \
227 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
228 done; \
229 reldir="$$dir2"
230 GZIP_ENV = --best
231 DIST_ARCHIVES = $(distdir).tar.xz
232 DIST_TARGETS = dist-xz
233 distuninstallcheck_listfiles = find . -type f -print
234 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
235 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
236 distcleancheck_listfiles = find . -type f -print
237 ACLOCAL = @ACLOCAL@
238 ALL_LINGUAS = @ALL_LINGUAS@
239 AMTAR = @AMTAR@
240 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
241 AUTOCONF = @AUTOCONF@
242 AUTOHEADER = @AUTOHEADER@
243 AUTOMAKE = @AUTOMAKE@
244 AWK = @AWK@
245 CATALOGS = @CATALOGS@
246 CATOBJEXT = @CATOBJEXT@
247 CC = @CC@
248 CCDEPMODE = @CCDEPMODE@
249 CFLAGS = @CFLAGS@
250 CPP = @CPP@
251 CPPFLAGS = @CPPFLAGS@
252 CYGPATH_W = @CYGPATH_W@
253 DATADIRNAME = @DATADIRNAME@
254 DEFS = @DEFS@
255 DEPDIR = @DEPDIR@
256 ECHO_C = @ECHO_C@
257 ECHO_N = @ECHO_N@
258 ECHO_T = @ECHO_T@
259 EGREP = @EGREP@
260 EXEEXT = @EXEEXT@
261 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
262 GMOFILES = @GMOFILES@
263 GMSGFMT = @GMSGFMT@
264 GREP = @GREP@
265 GTK_CFLAGS = @GTK_CFLAGS@
266 GTK_LIBS = @GTK_LIBS@
267 INSTALL = @INSTALL@
268 INSTALL_DATA = @INSTALL_DATA@
269 INSTALL_PROGRAM = @INSTALL_PROGRAM@
270 INSTALL_SCRIPT = @INSTALL_SCRIPT@
271 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
272 INSTOBJEXT = @INSTOBJEXT@
273 INTLLIBS = @INTLLIBS@
274 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
275 INTLTOOL_MERGE = @INTLTOOL_MERGE@
276 INTLTOOL_PERL = @INTLTOOL_PERL@
277 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
278 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
279 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
280 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
281 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
282 LDFLAGS = @LDFLAGS@
283 LIBOBJS = @LIBOBJS@
284 LIBS = @LIBS@
285 LTLIBOBJS = @LTLIBOBJS@
286 MAINT = @MAINT@
287 MAKEINFO = @MAKEINFO@
288 MKDIR_P = @MKDIR_P@
289 MKINSTALLDIRS = @MKINSTALLDIRS@
290 MSGFMT = @MSGFMT@
291 MSGFMT_OPTS = @MSGFMT_OPTS@
292 MSGMERGE = @MSGMERGE@
293 OBJEXT = @OBJEXT@
294 PACKAGE = @PACKAGE@
295 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
296 PACKAGE_NAME = @PACKAGE_NAME@
297 PACKAGE_STRING = @PACKAGE_STRING@
298 PACKAGE_TARNAME = @PACKAGE_TARNAME@
299 PACKAGE_URL = @PACKAGE_URL@
300 PACKAGE_VERSION = @PACKAGE_VERSION@
301 PATH_SEPARATOR = @PATH_SEPARATOR@
302 PKG_CONFIG = @PKG_CONFIG@
303 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
304 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
305 POFILES = @POFILES@
306 POSUB = @POSUB@
307 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
308 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
309 SET_MAKE = @SET_MAKE@
310 SHELL = @SHELL@
311 STRIP = @STRIP@
312 USE_NLS = @USE_NLS@
313 VERSION = @VERSION@
314 XGETTEXT = @XGETTEXT@
315 abs_builddir = @abs_builddir@
316 abs_srcdir = @abs_srcdir@
317 abs_top_builddir = @abs_top_builddir@
318 abs_top_srcdir = @abs_top_srcdir@
319 ac_ct_CC = @ac_ct_CC@
320 am__include = @am__include@
321 am__leading_dot = @am__leading_dot@
322 am__quote = @am__quote@
323 am__tar = @am__tar@
324 am__untar = @am__untar@
325 bindir = @bindir@
326 build_alias = @build_alias@
327 builddir = @builddir@
328 datadir = @datadir@
329 datarootdir = @datarootdir@
330 docdir = @docdir@
331 dvidir = @dvidir@
332 exec_prefix = @exec_prefix@
333 host_alias = @host_alias@
334 htmldir = @htmldir@
335 includedir = @includedir@
336 infodir = @infodir@
337 install_sh = @install_sh@
338 intltool__v_merge_options_ = @intltool__v_merge_options_@
339 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
340 libdir = @libdir@
341 libexecdir = @libexecdir@
342 localedir = @localedir@
343 localstatedir = @localstatedir@
344 mandir = @mandir@
345 mkdir_p = @mkdir_p@
346 oldincludedir = @oldincludedir@
347 pdfdir = @pdfdir@
348 prefix = @prefix@
349 program_transform_name = @program_transform_name@
350 psdir = @psdir@
351 runstatedir = @runstatedir@
352 sbindir = @sbindir@
353 sharedstatedir = @sharedstatedir@
354 srcdir = @srcdir@
355 sysconfdir = @sysconfdir@
356 target_alias = @target_alias@
357 top_build_prefix = @top_build_prefix@
358 top_builddir = @top_builddir@
359 top_srcdir = @top_srcdir@
360 ACLOCAL_AMFLAGS = -I .
361 SUBDIRS = po src
362 desktopdir = $(datadir)/applications
363 desktop_in_files = data/lxtask.desktop.in
364 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
365 man_MANS = data/lxtask.1
366 EXTRA_DIST = \
367 $(desktop_in_files)
368
369 DISTCLEANFILES = \
370 $(desktop_DATA)
371
372 all: config.h
373 $(MAKE) $(AM_MAKEFLAGS) all-recursive
374
375 .SUFFIXES:
376 am--refresh: Makefile
377 @:
378 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
379 @for dep in $?; do \
380 case '$(am__configure_deps)' in \
381 *$$dep*) \
382 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
383 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
384 && exit 0; \
385 exit 1;; \
386 esac; \
387 done; \
388 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
389 $(am__cd) $(top_srcdir) && \
390 $(AUTOMAKE) --foreign Makefile
391 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
392 @case '$?' in \
393 *config.status*) \
394 echo ' $(SHELL) ./config.status'; \
395 $(SHELL) ./config.status;; \
396 *) \
397 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
398 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
399 esac;
400
401 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
402 $(SHELL) ./config.status --recheck
403
404 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
405 $(am__cd) $(srcdir) && $(AUTOCONF)
406 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
407 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
408 $(am__aclocal_m4_deps):
409
410 config.h: stamp-h1
411 @test -f $@ || rm -f stamp-h1
412 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
413
414 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
415 @rm -f stamp-h1
416 cd $(top_builddir) && $(SHELL) ./config.status config.h
417 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
418 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
419 rm -f stamp-h1
420 touch $@
421
422 distclean-hdr:
423 -rm -f config.h stamp-h1
424 data/lxtask.1: $(top_builddir)/config.status $(top_srcdir)/data/lxtask.1.in
425 cd $(top_builddir) && $(SHELL) ./config.status $@
426 install-man1: $(man_MANS)
427 @$(NORMAL_INSTALL)
428 @list1=''; \
429 list2='$(man_MANS)'; \
430 test -n "$(man1dir)" \
431 && test -n "`echo $$list1$$list2`" \
432 || exit 0; \
433 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
434 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
435 { for i in $$list1; do echo "$$i"; done; \
436 if test -n "$$list2"; then \
437 for i in $$list2; do echo "$$i"; done \
438 | sed -n '/\.1[a-z]*$$/p'; \
439 fi; \
440 } | while read p; do \
441 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
442 echo "$$d$$p"; echo "$$p"; \
443 done | \
444 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
445 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
446 sed 'N;N;s,\n, ,g' | { \
447 list=; while read file base inst; do \
448 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
449 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
450 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
451 fi; \
452 done; \
453 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
454 while read files; do \
455 test -z "$$files" || { \
456 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
457 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
458 done; }
459
460 uninstall-man1:
461 @$(NORMAL_UNINSTALL)
462 @list=''; test -n "$(man1dir)" || exit 0; \
463 files=`{ for i in $$list; do echo "$$i"; done; \
464 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
465 sed -n '/\.1[a-z]*$$/p'; \
466 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
467 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
468 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
469 install-desktopDATA: $(desktop_DATA)
470 @$(NORMAL_INSTALL)
471 @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
472 if test -n "$$list"; then \
473 echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
474 $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
475 fi; \
476 for p in $$list; do \
477 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
478 echo "$$d$$p"; \
479 done | $(am__base_list) | \
480 while read files; do \
481 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
482 $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
483 done
484
485 uninstall-desktopDATA:
486 @$(NORMAL_UNINSTALL)
487 @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
488 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
489 dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
490
491 # This directory's subdirectories are mostly independent; you can cd
492 # into them and run 'make' without going through this Makefile.
493 # To change the values of 'make' variables: instead of editing Makefiles,
494 # (1) if the variable is set in 'config.status', edit 'config.status'
495 # (which will cause the Makefiles to be regenerated when you run 'make');
496 # (2) otherwise, pass the desired values on the 'make' command line.
497 $(am__recursive_targets):
498 @fail=; \
499 if $(am__make_keepgoing); then \
500 failcom='fail=yes'; \
501 else \
502 failcom='exit 1'; \
503 fi; \
504 dot_seen=no; \
505 target=`echo $@ | sed s/-recursive//`; \
506 case "$@" in \
507 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
508 *) list='$(SUBDIRS)' ;; \
509 esac; \
510 for subdir in $$list; do \
511 echo "Making $$target in $$subdir"; \
512 if test "$$subdir" = "."; then \
513 dot_seen=yes; \
514 local_target="$$target-am"; \
515 else \
516 local_target="$$target"; \
517 fi; \
518 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
519 || eval $$failcom; \
520 done; \
521 if test "$$dot_seen" = "no"; then \
522 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
523 fi; test -z "$$fail"
524
525 ID: $(am__tagged_files)
526 $(am__define_uniq_tagged_files); mkid -fID $$unique
527 tags: tags-recursive
528 TAGS: tags
529
530 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
531 set x; \
532 here=`pwd`; \
533 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
534 include_option=--etags-include; \
535 empty_fix=.; \
536 else \
537 include_option=--include; \
538 empty_fix=; \
539 fi; \
540 list='$(SUBDIRS)'; for subdir in $$list; do \
541 if test "$$subdir" = .; then :; else \
542 test ! -f $$subdir/TAGS || \
543 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
544 fi; \
545 done; \
546 $(am__define_uniq_tagged_files); \
547 shift; \
548 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
549 test -n "$$unique" || unique=$$empty_fix; \
550 if test $$# -gt 0; then \
551 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
552 "$$@" $$unique; \
553 else \
554 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
555 $$unique; \
556 fi; \
557 fi
558 ctags: ctags-recursive
559
560 CTAGS: ctags
561 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
562 $(am__define_uniq_tagged_files); \
563 test -z "$(CTAGS_ARGS)$$unique" \
564 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
565 $$unique
566
567 GTAGS:
568 here=`$(am__cd) $(top_builddir) && pwd` \
569 && $(am__cd) $(top_srcdir) \
570 && gtags -i $(GTAGS_ARGS) "$$here"
571 cscope: cscope.files
572 test ! -s cscope.files \
573 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
574 clean-cscope:
575 -rm -f cscope.files
576 cscope.files: clean-cscope cscopelist
577 cscopelist: cscopelist-recursive
578
579 cscopelist-am: $(am__tagged_files)
580 list='$(am__tagged_files)'; \
581 case "$(srcdir)" in \
582 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
583 *) sdir=$(subdir)/$(srcdir) ;; \
584 esac; \
585 for i in $$list; do \
586 if test -f "$$i"; then \
587 echo "$(subdir)/$$i"; \
588 else \
589 echo "$$sdir/$$i"; \
590 fi; \
591 done >> $(top_builddir)/cscope.files
592
593 distclean-tags:
594 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
595 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
596
597 distdir: $(DISTFILES)
598 $(am__remove_distdir)
599 test -d "$(distdir)" || mkdir "$(distdir)"
600 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
601 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
602 list='$(DISTFILES)'; \
603 dist_files=`for file in $$list; do echo $$file; done | \
604 sed -e "s|^$$srcdirstrip/||;t" \
605 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
606 case $$dist_files in \
607 */*) $(MKDIR_P) `echo "$$dist_files" | \
608 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
609 sort -u` ;; \
610 esac; \
611 for file in $$dist_files; do \
612 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
613 if test -d $$d/$$file; then \
614 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
615 if test -d "$(distdir)/$$file"; then \
616 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
617 fi; \
618 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
619 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
620 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
621 fi; \
622 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
623 else \
624 test -f "$(distdir)/$$file" \
625 || cp -p $$d/$$file "$(distdir)/$$file" \
626 || exit 1; \
627 fi; \
628 done
629 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
630 if test "$$subdir" = .; then :; else \
631 $(am__make_dryrun) \
632 || test -d "$(distdir)/$$subdir" \
633 || $(MKDIR_P) "$(distdir)/$$subdir" \
634 || exit 1; \
635 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
636 $(am__relativize); \
637 new_distdir=$$reldir; \
638 dir1=$$subdir; dir2="$(top_distdir)"; \
639 $(am__relativize); \
640 new_top_distdir=$$reldir; \
641 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
642 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
643 ($(am__cd) $$subdir && \
644 $(MAKE) $(AM_MAKEFLAGS) \
645 top_distdir="$$new_top_distdir" \
646 distdir="$$new_distdir" \
647 am__remove_distdir=: \
648 am__skip_length_check=: \
649 am__skip_mode_fix=: \
650 distdir) \
651 || exit 1; \
652 fi; \
653 done
654 -test -n "$(am__skip_mode_fix)" \
655 || find "$(distdir)" -type d ! -perm -755 \
656 -exec chmod u+rwx,go+rx {} \; -o \
657 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
658 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
659 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
660 || chmod -R a+r "$(distdir)"
661 dist-gzip: distdir
662 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
663 $(am__post_remove_distdir)
664
665 dist-bzip2: distdir
666 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
667 $(am__post_remove_distdir)
668
669 dist-lzip: distdir
670 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
671 $(am__post_remove_distdir)
672 dist-xz: distdir
673 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
674 $(am__post_remove_distdir)
675
676 dist-tarZ: distdir
677 @echo WARNING: "Support for distribution archives compressed with" \
678 "legacy program 'compress' is deprecated." >&2
679 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
680 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
681 $(am__post_remove_distdir)
682
683 dist-shar: distdir
684 @echo WARNING: "Support for shar distribution archives is" \
685 "deprecated." >&2
686 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
687 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
688 $(am__post_remove_distdir)
689
690 dist-zip: distdir
691 -rm -f $(distdir).zip
692 zip -rq $(distdir).zip $(distdir)
693 $(am__post_remove_distdir)
694
695 dist dist-all:
696 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
697 $(am__post_remove_distdir)
698
699 # This target untars the dist file and tries a VPATH configuration. Then
700 # it guarantees that the distribution is self-contained by making another
701 # tarfile.
702 distcheck: dist
703 case '$(DIST_ARCHIVES)' in \
704 *.tar.gz*) \
705 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
706 *.tar.bz2*) \
707 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
708 *.tar.lz*) \
709 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
710 *.tar.xz*) \
711 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
712 *.tar.Z*) \
713 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
714 *.shar.gz*) \
715 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
716 *.zip*) \
717 unzip $(distdir).zip ;;\
718 esac
719 chmod -R a-w $(distdir)
720 chmod u+w $(distdir)
721 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
722 chmod a-w $(distdir)
723 test -d $(distdir)/_build || exit 0; \
724 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
725 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
726 && am__cwd=`pwd` \
727 && $(am__cd) $(distdir)/_build/sub \
728 && ../../configure \
729 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
730 $(DISTCHECK_CONFIGURE_FLAGS) \
731 --srcdir=../.. --prefix="$$dc_install_base" \
732 && $(MAKE) $(AM_MAKEFLAGS) \
733 && $(MAKE) $(AM_MAKEFLAGS) dvi \
734 && $(MAKE) $(AM_MAKEFLAGS) check \
735 && $(MAKE) $(AM_MAKEFLAGS) install \
736 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
737 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
738 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
739 distuninstallcheck \
740 && chmod -R a-w "$$dc_install_base" \
741 && ({ \
742 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
743 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
744 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
745 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
746 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
747 } || { rm -rf "$$dc_destdir"; exit 1; }) \
748 && rm -rf "$$dc_destdir" \
749 && $(MAKE) $(AM_MAKEFLAGS) dist \
750 && rm -rf $(DIST_ARCHIVES) \
751 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
752 && cd "$$am__cwd" \
753 || exit 1
754 $(am__post_remove_distdir)
755 @(echo "$(distdir) archives ready for distribution: "; \
756 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
757 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
758 distuninstallcheck:
759 @test -n '$(distuninstallcheck_dir)' || { \
760 echo 'ERROR: trying to run $@ with an empty' \
761 '$$(distuninstallcheck_dir)' >&2; \
762 exit 1; \
763 }; \
764 $(am__cd) '$(distuninstallcheck_dir)' || { \
765 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
766 exit 1; \
767 }; \
768 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
769 || { echo "ERROR: files left after uninstall:" ; \
770 if test -n "$(DESTDIR)"; then \
771 echo " (check DESTDIR support)"; \
772 fi ; \
773 $(distuninstallcheck_listfiles) ; \
774 exit 1; } >&2
775 distcleancheck: distclean
776 @if test '$(srcdir)' = . ; then \
777 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
778 exit 1 ; \
779 fi
780 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
781 || { echo "ERROR: files left in build directory after distclean:" ; \
782 $(distcleancheck_listfiles) ; \
783 exit 1; } >&2
784 check-am: all-am
785 check: check-recursive
786 all-am: Makefile $(MANS) $(DATA) config.h
787 installdirs: installdirs-recursive
788 installdirs-am:
789 for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)"; do \
790 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
791 done
792 install: install-recursive
793 install-exec: install-exec-recursive
794 install-data: install-data-recursive
795 uninstall: uninstall-recursive
796
797 install-am: all-am
798 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
799
800 installcheck: installcheck-recursive
801 install-strip:
802 if test -z '$(STRIP)'; then \
803 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
804 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
805 install; \
806 else \
807 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
808 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
809 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
810 fi
811 mostlyclean-generic:
812
813 clean-generic:
814
815 distclean-generic:
816 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
817 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
818 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
819
820 maintainer-clean-generic:
821 @echo "This command is intended for maintainers to use"
822 @echo "it deletes files that may require special tools to rebuild."
823 clean: clean-recursive
824
825 clean-am: clean-generic mostlyclean-am
826
827 distclean: distclean-recursive
828 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
829 -rm -f Makefile
830 distclean-am: clean-am distclean-generic distclean-hdr distclean-local \
831 distclean-tags
832
833 dvi: dvi-recursive
834
835 dvi-am:
836
837 html: html-recursive
838
839 html-am:
840
841 info: info-recursive
842
843 info-am:
844
845 install-data-am: install-desktopDATA install-man
846
847 install-dvi: install-dvi-recursive
848
849 install-dvi-am:
850
851 install-exec-am:
852
853 install-html: install-html-recursive
854
855 install-html-am:
856
857 install-info: install-info-recursive
858
859 install-info-am:
860
861 install-man: install-man1
862
863 install-pdf: install-pdf-recursive
864
865 install-pdf-am:
866
867 install-ps: install-ps-recursive
868
869 install-ps-am:
870
871 installcheck-am:
872
873 maintainer-clean: maintainer-clean-recursive
874 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
875 -rm -rf $(top_srcdir)/autom4te.cache
876 -rm -f Makefile
877 maintainer-clean-am: distclean-am maintainer-clean-generic
878
879 mostlyclean: mostlyclean-recursive
880
881 mostlyclean-am: mostlyclean-generic
882
883 pdf: pdf-recursive
884
885 pdf-am:
886
887 ps: ps-recursive
888
889 ps-am:
890
891 uninstall-am: uninstall-desktopDATA uninstall-man
892
893 uninstall-man: uninstall-man1
894
895 .MAKE: $(am__recursive_targets) all install-am install-strip
896
897 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
898 am--refresh check check-am clean clean-cscope clean-generic \
899 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
900 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
901 distcheck distclean distclean-generic distclean-hdr \
902 distclean-local distclean-tags distcleancheck distdir \
903 distuninstallcheck dvi dvi-am html html-am info info-am \
904 install install-am install-data install-data-am \
905 install-desktopDATA install-dvi install-dvi-am install-exec \
906 install-exec-am install-html install-html-am install-info \
907 install-info-am install-man install-man1 install-pdf \
908 install-pdf-am install-ps install-ps-am install-strip \
909 installcheck installcheck-am installdirs installdirs-am \
910 maintainer-clean maintainer-clean-generic mostlyclean \
911 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
912 uninstall-am uninstall-desktopDATA uninstall-man \
913 uninstall-man1
914
915 .PRECIOUS: Makefile
916
917 @INTLTOOL_DESKTOP_RULE@
918
919 distclean-local:
920 rm -rf *.cache *~
921
922 rpm: dist
923 rpmbuild -ta $(PACKAGE)-$(VERSION).tar.gz
924 @rm -f $(PACKAGE)-$(VERSION).tar.gz
925
926 # Tell versions [3.59,3.63) of GNU make to not export all variables.
927 # Otherwise a system limit (for SysV at least) may be exceeded.
928 .NOEXPORT: